Last Comment Bug 574467 - Remove nsAddonRepository.js on updates
: Remove nsAddonRepository.js on updates
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Installer (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a2
Assigned To: Robert Kaiser
:
:
Mentors:
Depends on: 568728 633394
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 14:30 PDT by Robert Kaiser
Modified: 2012-01-11 20:25 PST (History)
0 users
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
just remove it (2.65 KB, patch)
2010-06-24 14:35 PDT, Robert Kaiser
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Robert Kaiser 2010-06-24 14:30:07 PDT
Bug 568728 converted nsAddonRepository.js to a module, I just realized in the 2.1a2 update verification logs that we don't remove it on updates yet, though we should.
Comment 1 Robert Kaiser 2010-06-24 14:35:19 PDT
Created attachment 453861 [details] [diff] [review]
just remove it

Just remove it! :)
Comment 2 Justin Wood (:Callek) 2010-06-24 14:53:57 PDT
Comment on attachment 453861 [details] [diff] [review]
just remove it

>diff --git a/suite/browser/nsBrowserStatusHandler.js b/suite/browser/nsBrowserStatusHandler.js

Not sure what this hunk is doing I assume another patch

>--- a/suite/installer/package-manifest.in

Thanks I noticed this late late last night and was going to investigate today
Comment 3 Robert Kaiser 2010-06-25 05:55:21 PDT
(In reply to comment #2)
> (From update of attachment 453861 [details] [diff] [review])
> >diff --git a/suite/browser/nsBrowserStatusHandler.js b/suite/browser/nsBrowserStatusHandler.js
> 
> Not sure what this hunk is doing I assume another patch

Yes, sorry, somehow bug 570004 made it into this patch.

> >--- a/suite/installer/package-manifest.in
> 
> Thanks I noticed this late late last night and was going to investigate today

Hah! Will land that in a moment :)
Comment 4 Robert Kaiser 2010-06-25 05:59:06 PDT
Pushed as http://hg.mozilla.org/comm-central/rev/e4d9b646a966
Comment 5 Robert Kaiser 2010-06-29 08:51:20 PDT
Landed http://hg.mozilla.org/comm-central/rev/e0c779269296 on 2.1a2 relbranch as a build2 ridealong, so already fixed there now.
Comment 6 Serge Gautherie (:sgautherie) 2010-08-08 10:53:32 PDT
Did you miss to add the removed-files.in part?
http://mxr.mozilla.org/comm-central/search?string=nsAddonRepository.js&case=1&find=%2Finstaller%2F
Comment 7 Serge Gautherie (:sgautherie) 2012-01-11 20:25:21 PST
(In reply to Serge Gautherie (:sgautherie) from comment #6)
> Did you miss to add the removed-files.in part?

Bug 633394 eventually did it...

Note You need to log in before you can comment on or make changes to this bug.